g2bAPI Reference
Review

List thread files

Lists a bounded repository-relative file tree for project_repository_id in the owned thread workspace. Browser and terminal access are not exposed.

GET
/v1/threads/{id}/files

Lists a bounded repository-relative file tree for project_repository_id in the owned thread workspace. Browser and terminal access are not exposed.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Query Parameters

project_repository_id*string
Length1 <= length <= 256
path?string
Length1 <= length <= 8192
depth?integer
Range1 <= value <= 5
Default2

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/threads/string/files?project_repository_id=string"
{  "entries": [    {      "name": "string",      "path": "string",      "type": "file"    }  ],  "status": "no_sandbox",  "truncated": true}